Subject: bug#63437: 30.0.50; [BUG] edebug-defun errs on widget-default-create

From: Stefan Monnier <[email-masked]>
Date: Thu, 18 May 2023 09:43:25 -0400

> Ping!  Stefan, could you please chime in and answer my question below?

Sorry, fell through.

> Thanks, should be fixed now on the emacs-29 branch.
> Stefan, is that the right fix?

I'd have used

   (declare (debug t))

but the

   (declare (debug (body)))

does the trick as well, yes.

> I'm asking because the ELisp manual is
> not entirely clear on this, and I see at least one more case of
>
>    (declare (debug body))
>
> in our tree, in benchmark.el.  Is that also a bug?

Yes.

        Stefan